﻿using System;
using System.IO;
using System.Reflection;
using System.Runtime.InteropServices;
using System.Windows.Forms;

namespace WingMan
{
    internal static class Program
    {
        /// <summary>
        ///     The main entry point for the application.
        /// </summary>
        [STAThread]
        private static void Main()
        {
            // Set base directory.
            Directory.SetCurrentDirectory(AppDomain.CurrentDomain.BaseDirectory);

            // Load SQLite3 native libraries.
            SetDllDirectory(Environment.Is64BitOperatingSystem
                ? Path.Combine(AppDomain.CurrentDomain.BaseDirectory, "x64")
                : Path.Combine(AppDomain.CurrentDomain.BaseDirectory, "x86"));


            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new WingManForm());
        }


        [DllImport("kernel32.dll", CharSet = CharSet.Unicode, SetLastError = true)]
        [return: MarshalAs(UnmanagedType.Bool)]
        private static extern bool SetDllDirectory(string lpPathName);

    }
}
